OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Static Public Member Functions
CYapfCostBase Struct Reference

Base implementation for cost accounting. More...

`#include <yapf_costbase.hpp>`

Inheritance diagram for CYapfCostBase:

## Static Public Member Functions
static bool | stSlopeCost (TileIndex tile, Trackdir td)
| Does the given track direction on the given tile yield an uphill penalty?

## Detailed Description

Base implementation for cost accounting.

Definition at line 16 of file yapf_costbase.hpp.

## Member Function Documentation

static bool CYapfCostBase::stSlopeCost | ( | TileIndex | tile,
|  | Trackdir | td
| ) |  |
| inline static

Does the given track direction on the given tile yield an uphill penalty?

Parameters

  tile | The tile to check.
  td | The track direction to check.

Returns
  True if there's a slope, otherwise false.

Definition at line 23 of file yapf_costbase.hpp.

References DiagDirToAxis(), GetTileSlope(), GetTunnelBridgeDirection(), HasBridgeFlatRamp(), IsBridgeTile(), IsDiagonalTrackdir(), IsTunnelTile(), IsUphillTrackdir(), and TrackdirToExitdir().

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_costbase.hpp